Help with SMAPI (I'm a noobie) HI GUYS

Discussion in 'Mods' started by PeachPaella, Oct 3, 2018.

  1. PeachPaella

    PeachPaella Intergalactic Tourist

    Hey guys! I'm Peach, and new to Chucklefish forums so lemme know if I do anything wrong or against the rules (I've read them already but just in case)

    So I download SMAPI and Content Patcher recently as well as a whole Bunch of mods to add a kick to my SV, the Content Patcher version needed is 1.4-1915-1-4 which is what I already have. The SMAPI is entirely compatible to my game (latest version before the beta) and so far the mods all have their manifest and content.json

    The problem is whenever I try to use the SMAPI it says Content Patcher is not installed. Where do I put the Content Patcher file in?

    Error log: I can't find it but this is what the SMAPI has written in red (I'll look for the error log again)

    SKIPPED MODS
    THESE MODS COULD NOT BE ADDED TO YOUR GAME.
    (MOD) BECAUSE IT REQUIRES MODS WHICH AREN'T INSTALLED (CONTENT PATCHER: (NEXUSMOD LINK))

    The thing is, I DO have Content Patcher. Where do I place the file to get it running? Content Patcher just has a ContentPatcher DLL file, ContentPatcher PDB file, and a manifest JSON file.

    The error log is somewhat the same thing. I've seen it before when editing my save game file but can't find it now. Will try again.

    Help please? I'll look for the error log some more if it can provide more info on my problem.

    Thank you!
     
    • PeachPaella

      PeachPaella Intergalactic Tourist

      Edit: FOUND THE ERROR LOG

      [18:26:34 TRACE SMAPI] Failed: it requires mods which aren't installed (Content Patcher: https://www.nexusmods.com/stardewvalley/mods/1915).

      Can't take a picture, it says file uploaded to big. I'm using my phone to type it out.

      And...Yeah that's the only problem. CP not installed. Where do I put the file though?
       
      • Pathoschild

        Pathoschild Cosmos Killer

      Share This Page